/* Custom Style -> Code Snippets*/

h1 {
  font-family: var(--e-global-typography-9621842-font-family);
  font-size: var(--e-global-typography-9621842-font-size);
  font-weight: var(--e-global-typography-9621842-font-weight);
  font-style: var(--e-global-typography-9621842-font-style);
  line-height: var(--e-global-typography-9621842-line-height);
}

h2 {
  font-family: var(--e-global-typography-0d24910-font-family);
  font-size: var(--e-global-typography-0d24910-font-size);
  font-weight: var(--e-global-typography-0d24910-font-weight);
  line-height: var(--e-global-typography-0d24910-line-height);
}
h3 {
  font-family: var(--e-global-typography-b555885-font-family);
  font-size: var(--e-global-typography-b555885-font-size);
  font-weight: var(--e-global-typography-b555885-font-weight);
  line-height: var(--e-global-typography-b555885-line-height);
}

h4 {
  font-family: var(--e-global-typography-7094ff6-font-family);
  font-size: var(--e-global-typography-7094ff6-font-size);
  font-weight: var(--e-global-typography-7094ff6-font-weight);
  line-height: var(--e-global-typography-7094ff6-line-height);
}

h5 {
  font-family: var(--e-global-typography-1aa42b1-font-family);
  font-size: var(--e-global-typography-1aa42b1-font-size);
  font-weight: var(--e-global-typography-1aa42b1-font-weight);
  line-height: var(--e-global-typography-1aa42b1-line-height);
}

h6 {
  font-family: var(--e-global-typography-ec65bd3-font-family);
  font-size: var(--e-global-typography-ec65bd3-font-size);
  font-weight: var(--e-global-typography-ec65bd3-font-weight);
  line-height: var(--e-global-typography-ec65bd3-line-height);
}

h1.elementor-heading-title {
  font-family: var(--e-global-typography-9621842-font-family);
  font-size: var(--e-global-typography-9621842-font-size);
  font-weight: var(--e-global-typography-9621842-font-weight);
  font-style: var(--e-global-typography-9621842-font-style);
  line-height: var(--e-global-typography-9621842-line-height);
}

h2.elementor-heading-title {
  font-family: var(--e-global-typography-0d24910-font-family);
  font-size: var(--e-global-typography-0d24910-font-size);
  font-weight: var(--e-global-typography-0d24910-font-weight);
  line-height: var(--e-global-typography-0d24910-line-height);
}

h3.elementor-heading-title {
  font-family: var(--e-global-typography-b555885-font-family);
  font-size: var(--e-global-typography-b555885-font-size);
  font-weight: var(--e-global-typography-b555885-font-weight);
  line-height: var(--e-global-typography-b555885-line-height);
}

h4.elementor-heading-title {
  font-family: var(--e-global-typography-7094ff6-font-family);
  font-size: var(--e-global-typography-7094ff6-font-size);
  font-weight: var(--e-global-typography-7094ff6-font-weight);
  line-height: var(--e-global-typography-7094ff6-line-height);
}

h5.elementor-heading-title {
  font-family: var(--e-global-typography-1aa42b1-font-family);
  font-size: var(--e-global-typography-1aa42b1-font-size);
  font-weight: var(--e-global-typography-1aa42b1-font-weight);
  line-height: var(--e-global-typography-1aa42b1-line-height);
}

h6.elementor-heading-title {
  font-family: var(--e-global-typography-ec65bd3-font-family);
  font-size: var(--e-global-typography-ec65bd3-font-size);
  font-weight: var(--e-global-typography-ec65bd3-font-weight);
  line-height: var(--e-global-typography-ec65bd3-line-height);
}

/********* Header *********/

body.elementor-editor-active .header-logo-nav-row {
  background-color: #565656;
}

.builder-login a,
.contact-us a {
  text-transform: uppercase !important;
}

.builder-login a:hover,
.contact-us a:hover {
  color: #fff !important;
}

body:not(.elementor-editor-active) .header-logo-nav-row {
  margin-bottom: -107px;
  z-index: 99999999999999;
}

.header-logo-nav-row.scrolled {
  background-color: var(--e-global-color-5dcb5b7);
  top: 0;
  position: fixed;
}

body.admin-bar .header-logo-nav-row.scrolled {
  top: 32px;
}

.top-below-nav-banner .swiper-slide-contents {
  position: relative;
  top: -17px;
}

.top-below-nav-banner .slide-description {
  font-style: italic;
}

.top-below-nav-banner .swiper-pagination-bullet {
  background-color: transparent !important;
  border-width: 1px !important;
  border-style: solid !important;
  border-color: var(--e-global-color-e79f432) !important;
}

.top-below-nav-banner .swiper-pagination-bullet-active {
  background-color: var(--e-global-color-e79f432) !important;
}

.top-below-nav-banner .swiper-horizontal > .swiper-pagination-bullets,
.top-below-nav-banner .swiper-pagination-bullets.swiper-pagination-horizontal,
.top-below-nav-banner .swiper-pagination-custom,
.top-below-nav-banner .swiper-pagination-fraction {
  bottom: 44% !important;
  left: 41% !important;
  transform: rotate(90deg);
}

body:not(.elementor-editor-active) .down-arrow-row .down-arrow-icon img,
body:not(.elementor-editor-active) .down-arrow-row .down-arrow-icon svg {
  position: absolute;
  bottom: 0px;
  margin-left: -24px;
  animation: scroll 1.5s infinite;
  -webkit-animation: scroll 1.5s infinite;
}

body:not(.elementor-editor-active) .down-arrow-row {
  top: -54px;
  margin-bottom: -23px;
}

.banner-top-shadow .swiper-slide-bg::before {
  background-image: url("/wp-content/uploads/2025/04/single-page-banner-shadow.png");
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  background-position: top center;
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.banner-top-shadow.contact::before {
  background-image: url("/wp-content/uploads/2025/04/single-page-banner-shadow.png");
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  background-position: top center;
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.banner-top-shadow .e-con-inner::before {
  background-image: url("/wp-content/uploads/2025/04/single-page-banner-shadow.png");
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  background-position: top center;
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.down-arrow-row {
  z-index: 1 !important;
}

.post-yellow-arrow .elementor-post__thumbnail::before {
  background-image: url("/wp-content/uploads/2025/05/blog-arrow.jpg");
  position: absolute;
  right: 15px;
  top: 15px;
  width: 41px;
  height: 41px;
  content: "";
  margin: 0 auto 0 auto;
  z-index: 1;
  background-size: 100% 100%;
  background-position: center center;
  background-repeat: no-repeat;
}

.latest-post-box-01 .elementor-post__meta-data {
  position: absolute;
  top: 15px;
  z-index: 1;
  left: 10px;
  right: 0;
  background-color: #fff;
  width: fit-content;
  padding: 10px;
  margin-bottom: 0px !important;
}

.elementor-post__excerpt p::after {
  position: absolute;
  content: "...";
}

.no-pagination .wpr-grid-slider-dots {
  display: none !important;
}


.elementor-property-link, .custom-field-list{
	margin-top:10px;
}
.elementor-property-link a, .custom-field-list a{
max-width: 120px;
padding: 8px 12px 8px 12px!important;
}

.custom-field-list a{
background-color: var( --e-global-color-accent );
  font-family: var( --e-global-typography-accent-font-family );
  font-size: var( --e-global-typography-accent-font-size );
  font-weight: var( --e-global-typography-accent-font-weight );
text-transform: uppercase;
  text-decoration: none;
  color: var( --e-global-color-e79f432 );
  border-radius: 24px 24px 24px 24px;
  padding: 8px 12px 8px 12px;
	text-align:center;
}	

.custom-field-list a:hover{
background-color: var( --e-global-color-e79f432 );	
color: var( --e-global-color-accent );
}

@media (max-width: 991px) {
  #asl-storelocator.asl-cont.asl-template-3 .sl-main-cont .asl-filter-sec .asl-filter-cont .asl-filter-list, #asl-storelocator.asl-cont.asl-template-3 .sl-main-cont .asl-panel-inner div.sl-main-cont-box {
    max-height: 720px;
  }
}

@media (min-width: 1025px) {
  .header-logo-nav-row .elementor-nav-menu .sub-arrow {
    display: none;
  }
}

@media (min-width: 768px) {
  .header-logo-nav-row nav {
    position: relative;
    top: 7px;
  }

  .builder-login a,
  .contact-us a {
    color: var(--e-global-color-e79f432) !important;
  }
}

@media (max-width: 1024px) {
  .header-logo-nav-row .elementor-nav-menu li > a .sub-arrow {
    color: #fff !important;
    fill: #fff !important;
  }

  .header-logo-nav-row .elementor-nav-menu li > a {
    background-color: #000 !important;
    color: #fff !important;
  }

  .header-logo-nav-row .elementor-nav-menu li:hover > a {
    background-color: var(--e-global-color-606ae98) !important;
    color: #000 !important;
  }

  .header-logo-nav-row .elementor-nav-menu li.current_page_item > a {
    background-color: var(--e-global-color-606ae98) !important;
    color: #000 !important;
  }

  .header-logo-nav-row .elementor-nav-menu li.current_page_item > a .sub-arrow {
    color: #000 !important;
    fill: #000 !important;
  }

  .header-logo-nav-row .elementor-nav-menu li:hover > a .sub-arrow {
    color: #000 !important;
    fill: #000 !important;
  }

  .header-logo-nav-row .elementor-nav-menu li:not(:last-child) {
    border-color: #4e4e4e !important;
  }

  .header-logo-nav-row .elementor-nav-menu li a.highlighted .sub-arrow svg {
    transform: rotate(-180deg);
  }

  /*.sub-menu.elementor-nav-menu--dropdown li a{
	background-color:#fff!important;
	color:#000!important;	
	
}

.sub-menu.elementor-nav-menu--dropdown li:hover a{
	background-color: var( --e-global-color-606ae98 )!important;
	color:#000!important;
	
}

.sub-menu.elementor-nav-menu--dropdown li.current_page_item a{
	background-color: var( --e-global-color-606ae98 )!important;
	color:#000!important;
	
}


.sub-menu.elementor-nav-menu--dropdown li {
	border-color: #fff !important;
}

.sub-menu.elementor-nav-menu--dropdown li:hover:not(:last-child){
   border-color: #000!important;
}*/
}

@media (max-width: 480px) {
  .top-below-nav-banner .swiper-horizontal > .swiper-pagination-bullets,
  .top-below-nav-banner .swiper-pagination-bullets.swiper-pagination-horizontal,
  .top-below-nav-banner .swiper-pagination-custom,
  .top-below-nav-banner .swiper-pagination-fraction {
    left: 43% !important;
  }
}

/********* Heading Line Style *********/

.line-on-both-side .elementor-widget-container {
  overflow: hidden;
}
.line-on-both-side .elementor-heading-title {
  position: relative;
  min-width: 300px;
  margin-bottom: 18px;
  overflow: hidden;
}
.top-below-nav-banner .line-on-both-side .elementor-heading-title {
  min-width: auto;
}
.line-on-both-side.inline .elementor-widget-container {
  display: inline;
}
.line-on-both-side .elementor-heading-title:before,
.line-on-both-side .elementor-heading-title:after {
  position: absolute;
  top: 51%;
  overflow: hidden;
  width: 48%;
  height: 1px;
  content: "\a0";
  background-color: var(--e-global-color-e98622f);
  margin-left: 2%;
}
.line-on-both-side .elementor-heading-title:before {
  margin-left: -50%;
  text-align: right;
}

.line-on-both-side.yellow .elementor-heading-title:before,
.line-on-both-side.yellow .elementor-heading-title:after {
  background-color: var(--e-global-color-e79f432);
}

.line-on-one-side .elementor-heading-title {
  position: relative;
  overflow: hidden;
}

.line-on-one-side .elementor-heading-title:before,
.line-on-one-side .elementor-heading-title:after {
  position: absolute;
  top: 51%;
  overflow: hidden;
  width: 48%;
  height: 1px;
  content: "\a0";
  background-color: var(--e-global-color-e98622f);
  margin-left: 2%;
}
.line-on-one-side .elementor-heading-title:before {
  margin-left: -50%;
  text-align: right;
}

.line-on-one-side.yellow .elementor-heading-title:before,
.line-on-one-side.yellow .elementor-heading-title:after {
  background-color: var(--e-global-color-e79f432);
}

@media (max-width: 767px) {
  .line-on-both-side .elementor-heading-title {
    margin-bottom: 0px;
  }
}

/********* button hover style *********/
.button-text-style a.elementor-button {
  position: relative;
}
.button-text-style a.elementor-button:hover {
  text-decoration: underline;
}

.button-text-style a.elementor-button:hover::after {
  position: absolute;
  content: "";
  right: -20px;
  top: 50%;
  margin-top: -6px;
  background-image: url("/wp-content/uploads/2025/04/hover-arrow-icon.png");
  background-position: center;
  background-repeat: no-repeat;
  width: 15px;
  height: 12px;
}

/********* testimonial Style  used on home page - about us - renovation page*********/

.testimonial-section-style1 .testimonial-carousel-section::before {
  content: "";
  width: 50%;
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.75);
}

.testimonial-section-style1 .elementor-testimonial__cite {
  margin: 0 auto;
}

.testimonial-section-style1 .swiper-slide {
  padding-left: 0px;
  padding-right: 0px;
}

.testimonial-section-style1 .elementor-main-swiper::before {
  content: "";
  width: 40px;
  position: absolute;
  left: 50%;
  top: -35px;
  height: 39px;
  margin-left: -20px;
  background-image: url("/wp-content/uploads/2025/04/testimonial-yellow-icon.png");
  background-position: center;
  background-repeat: no-repeat;
}

.testimonial-section-style1.not-background-changed-carousel
  .elementor-widget-reviews.elementor-pagination-type-bullets
  .elementor-swiper-button-next,
.testimonial-section-style1.not-background-changed-carousel
  .elementor-widget-reviews.elementor-pagination-type-bullets
  .elementor-swiper-button-prev,
.testimonial-section-style1.not-background-changed-carousel
  .elementor-widget-testimonial-carousel.elementor-pagination-type-bullets
  .elementor-swiper-button-next,
.testimonial-section-style1.not-background-changed-carousel
  .elementor-widget-testimonial-carousel.elementor-pagination-type-bullets
  .elementor-swiper-button-prev {
  top: calc(100% - 40px / 2);
}

.testimonial-section-style1
  .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
  background-color: transparent !important;
  border-width: 1px;
  border-style: solid;
  border-color: var(--e-global-color-e79f432) !important;
}

.testimonial-section-style1
  .elementor-widget-loop-carousel
  .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
  background-color: transparent !important;
  border-width: 1px;
  border-style: solid;
  border-color: var(--e-global-color-e79f432) !important;
  opacity: 1;
}

.testimonial-section-style1 .elementor-widget-loop-carousel svg,
.custom-svg-arrow svg {
  fill: transparent !important;
}

.testimonial-section-style1 .swiper.elementor-loop-container {
  padding-bottom: 0px !important;
}

.testimonial-section-style1
  .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
  background-color: transparent !important;
  border-width: 1px;
  border-style: solid;
  border-color: var(--e-global-color-e79f432) !important;
  opacity: 1;
}

.testimonial-section-style2.renovation-page .testimonial-quote-icon {
  display: none;
}
.testimonial-section-style2 .testimonial-carousel-section::before {
  content: "";
  width: 50%;
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.75);
}

.testimonial-section-style1 .testimonial_name-shortcode .elementor-shortcode,
.testimonial-section-style2 .testimonial_name-shortcode .elementor-shortcode {
  text-align: center;
}
.testimonial-section-style1
  .testimonial_name-shortcode
  .elementor-shortcode
  .elementor-testimonial__name,
.testimonial-section-style2
  .testimonial_name-shortcode
  .elementor-shortcode
  .elementor-testimonial__name {
  color: #fff;
  font-style: italic;
  font-weight: normal;
  font-size: 20px;
  font-family: var(--e-global-typography-primary-font-family), Sans-serif;
}

@media (max-width: 767px) {
  .testimonial-section-style1 .testimonial-carousel-section-style1::before {
    width: 100%;
  }
  .testimonial-section-style2 .testimonial-carousel-section::before {
    width: 100%;
  }
}

/********* yellow hover overlay boxes Style used for fearured project carousels *********/

.yellow-box-wrapper .yellow-hover-box .elementor-widget-theme-post-title {
  position: relative;
  top: -5px;
}

.yellow-box-wrapper .yellow-hover-box .elementor-widget-button {
  position: relative;
  top: 35px;
}

.yellow-box-wrapper .yellow-hover-box .elementor-widget-heading,
.yellow-box-wrapper .yellow-hover-box .elementor-widget-theme-post-title,
.yellow-box-wrapper .yellow-hover-box .elementor-widget-text-editor,
.yellow-box-wrapper .yellow-hover-box .elementor-widget-theme-post-content,
.yellow-box-wrapper .yellow-hover-box .elementor-widget-button {
  opacity: 0;
}

/*.yellow-box-wrapper  .swiper-wrapper{
padding-top: 22px!important;
padding-bottom:22px!important;
}*/

.yellow-box-wrapper .swiper.elementor-grid {
  padding-top: 30px !important;
  padding-bottom: 30px !important;
}

.yellow-box-wrapper .swiper-slide .yellow-hover-box {
  transition: transform 0.2s;
}

.yellow-box-wrapper .yellow-hover-box:hover {
  transform: scale(1.1);
}

.yellow-box-wrapper .yellow-hover-box:hover::before {
  background-color: rgba(237, 212, 129, 0.8);
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  content: "";
}

.yellow-box-wrapper .yellow-hover-box:hover .elementor-widget-heading,
.yellow-box-wrapper .yellow-hover-box:hover .elementor-widget-theme-post-title,
.yellow-box-wrapper .yellow-hover-box:hover .elementor-widget-text-editor,
.yellow-box-wrapper
  .yellow-hover-box:hover
  .elementor-widget-theme-post-content,
.yellow-box-wrapper .yellow-hover-box:hover .elementor-widget-button {
  opacity: 1;
}

.yellow-box-wrapper .yellow-hover-box .elementor-heading-title {
  position: relative;
  top: 15px;
}

.yellow-box-wrapper
  .yellow-hover-box
  .underline-text
  .elementor-widget-container {
  width: fit-content;
  position: relative;
  margin: 0 auto;
}

.yellow-box-wrapper
  .yellow-hover-box
  .underline-text
  .elementor-widget-container::after {
  position: absolute;
  background-color: #000;
  height: 1px;
  width: 100%;
  bottom: 0;
  left: 0;
  content: "";
}

.yellow-box-wrapper
  .yellow-hover-box
  .elementor-swiper-button.elementor-swiper-button-next
  svg,
.yellow-box-wrapper
  .yellow-hover-box
  .elementor-swiper-button.elementor-swiper-button-prev
  svg {
  fill: transparent !important;
}

.yellow-box-wrapper
  .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
  background-color: transparent !important;
  border-width: 1px;
  border-style: solid;
  border-color: var(--e-global-color-e79f432) !important;
  opacity: 1;
}

.yellow-box-wrapper
  .black-navigation
  .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
  border-color: var(--e-global-color-e98622f) !important;
}

body.page-id-13139
  .yellow-box-wrapper
  .yellow-hover-box
  .elementor-heading-title {
  position: relative;
  top: 0px;
}

body.page-id-13139
  .yellow-box-wrapper
  .yellow-hover-box
  .elementor-widget-button {
  position: relative;
  top: 0px;
}

.yellow-box-wrapper.view-our-gallery-grid
  .yellow-hover-box
  .elementor-widget-button {
  top: 0;
}

.yellow-box-wrapper.view-our-gallery-grid
  .yellow-hover-box
  .elementor-heading-title {
  top: 0px;
}
.display_center_images .yellow-hover-box {
  background-position: center center;
}

.featured-slider .yellow-hover-box .underline-text .elementor-widget-container {
  width: fit-content;
  position: relative;
  margin: 0 auto;
}

.featured-slider .yellow-hover-box .elementor-widget-heading,
.featured-slider .yellow-hover-box .elementor-widget-theme-post-title,
.featured-slider .yellow-hover-box .elementor-widget-text-editor,
.featured-slider .yellow-hover-box .elementor-widget-theme-post-content,
.featured-slider .yellow-hover-box .elementor-widget-button {
  opacity: 0;
}

.featured-slider .yellow-hover-box:hover::before {
  background-color: rgba(237, 212, 129, 0.8);
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  content: "";
}

.featured-slider .yellow-hover-box:hover .elementor-widget-heading,
.featured-slider .yellow-hover-box:hover .elementor-widget-theme-post-title,
.featured-slider .yellow-hover-box:hover .elementor-widget-text-editor,
.featured-slider .yellow-hover-box:hover .elementor-widget-theme-post-content,
.featured-slider .yellow-hover-box:hover .elementor-widget-button {
  opacity: 1;
}

.featured-slider .yellow-hover-box:hover .elementor-button {
  opacity: 1;
  visibility: visible !important;
}

.featured-slider
  .yellow-hover-box
  .underline-text
  .elementor-widget-container::after {
  position: absolute;
  background-color: #000;
  height: 1px;
  width: 100%;
  bottom: 0;
  left: 0;
  content: "";
}

@media (max-width: 1024px) {
}

@media (max-width: 767px) {
  .yellow-box-wrapper .swiper-slide .featured-project-carsousel {
    margin-left: 15px;
    margin-right: 0px;
    max-width: auto;
  }
}

/********* Neighborhoods carousel style*********/

.neighborhoods-grid .e-loop-item {
  transition: transform 0.2s;
}

.neighborhoods-grid .e-loop-item:hover {
  transform: scale(1.1);
}

/* remove hover effect for one item sold out*/
.neighborhoods-grid .e-loop-item-2710 {
  transform: scale(1);
}
.neighborhoods-grid .e-loop-item-2710:hover {
  transform: scale(1);
}

.neighborhoods-carousel .swiper-wrapper {
  padding-top: 22px;
  padding-bottom: 22px;
}

.neighborhoods-carousel .swiper-slide {
  transition: transform 0.2s;
}

.neighborhoods-carousel .swiper-slide:hover {
  transform: scale(1.1);
}

.neighborhoods-carousel
  .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
  background-color: transparent !important;
  border-width: 1px;
  border-style: solid;
  border-color: var(--e-global-color-e98622f) !important;
}

.neighborhoods-grid .top-content,
.neighborhoods-carousel .top-content {
  position: absolute;
  top: 0px;
  margin: 0 auto;
  left: auto;
  right: 0;
  width: 100%;
}

.neighborhoods-grid .middle-content,
.neighborhoods-carousel .middle-content {
  position: absolute;
  margin: -10px auto 0 auto;
  width: 100%;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.neighborhoods-grid .bottom-content,
.neighborhoods-carousel .bottom-content {
  position: absolute;
  bottom: 10px;
  margin: 0 auto;
  left: auto;
  right: 0;
  width: 100%;
}

/* Royal Elementor Addons Carousel Css*/
.wpr-grid-slider-dots .slick-active .wpr-grid-slider-dot {
  border-width: 1px !important;
  border-style: solid !important;
  border-color: var(--e-global-color-e79f432) !important;
  opacity: 1 !important;
}
.wpr-grid-slider-arrow-container .wpr-grid-slider-arrow {
  border-width: 1px !important;
  border-style: solid !important;
  border-color: var(--e-global-color-e79f432) !important;
  padding: 4px;
  border-radius: 50%;
}

.royal-addons-carousel .slick-list {
  padding-top: 20px;
  padding-bottom: 20px;
}
.royal-addons-carousel .slick-slider .slick-slide {
  transform: scale(1);
  z-index: 2;
  transition: transform 0.3s ease;
}
.royal-addons-carousel .slick-slider .slick-slide:hover {
  transform: scale(1.1);
}

.royal-addons-carousel .wpr-grid-image-wrap img {
  min-height: 30vh;
  max-height: 30vh;
  object-fit: cover;
}

/* projects grid style model home page*/
.projects-grid-wrapper .elementor-widget-image {
  overflow: hidden;
}
.projects-grid-wrapper .elementor-widget-image img {
  max-height: 34vh;
  min-height: 34vh;
  width: 100%;
  object-fit: cover;
  object-position: top;
  transition: all 0.5s ease-in-out;
  transform: scale(1);
}

.projects-grid-wrapper
  .project-grid-wrap:hover
  .elementor-widget-image::before {
  position: absolute;
  background-color: rgba(14, 17, 17, 0.5);
  content: "";
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.projects-grid-wrapper .project-grid-wrap:hover .elementor-widget-image img {
  transform: scale(1.1);
}

/********* Our Galleries Page *********/

.our-galleries-page .three-columns-grid {
  display: grid;
  grid-auto-rows: 1fr;
  grid-template-columns: 1fr 1fr 1fr;
}
.our-galleries-page .three-columns-grid > * {
  padding: 0.5rem;
}

.our-galleries-page .three-columns-grid h6.c-post-title {
  text-transform: uppercase;
  font-weight: bold;
  width: fit-content;
  border-bottom: 1px solid #000;
  padding-right: 25px;
}
.our-galleries-page .three-columns-grid h6.c-italic-text {
  font-style: italic;
}

.our-galleries-page select.cat-filter {
  border: none !important;
  background-color: transparent !important;
  width: 100%;
}
.our-galleries-page .three-columns-grid a {
  color: #000000;
}
.our-galleries-page .our-galleries-wrap.loading::before {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  content: "";
  background-color: rgba(0, 0, 0, 0.2);
}

.our-galleries-page
  .our-galleries-col
  .elementor-widget-theme-post-featured-image
  img {
  min-height: 262px;
  max-height: 262px;
  object-fit: cover;
}

.our-galleries-page .e-loop-item .elementor-widget-image {
  overflow: hidden;
}
.our-galleries-page .e-loop-item .elementor-widget-image img {
  transition: all 0.5s ease-in-out;
  transform: scale(1);
}

.our-galleries-page .e-loop-item:hover .elementor-widget-image img {
  transform: scale(1.1);
}

.our-galleries-page .e-loop-item .elementor-widget-image::before {
  position: absolute;
  background-color: rgba(14, 17, 17, 0.5);
  content: "";
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  z-index: 999;
}
.our-galleries-page .e-loop-item:hover .elementor-widget-image::before {
  opacity: 1;
}

.our-galleries-page .gallery_name h6 {
  position: relative;
}

.our-galleries-page .e-loop-item .gallery_name h6:after {
  position: absolute;
  background-color: #000;
  height: 1px;
  width: 0;
  left: 0;
  bottom: -4px;
  content: "";
  transition: width 0.3s;
}

.our-galleries-page .e-loop-item:hover .gallery_name h6:after {
  width: 100%;
}

.our-galleries-page .elementor-pagination .page-numbers img {
  position: relative;
  top: 7px;
}

.our-gallery-single-page
  .wpr-media-grid
  .wpr-grid-media-hover
  .wpr-cv-container {
  display: none !important;
}

.lg-thumb-open .lg-thumb-outer.lg-grab {
  display: none !important;
}

@media only screen and (min-width: 1025px) and (max-width: 1199px) {
  .image-carousel-gallery .wpr-grid-slider-dots {
    display: none !important;
  }
}
/********* Paginationstyle*********/

.custom_pagination {
  text-align: center;
  margin-top: 35px;
}

.custom_pagination .page-numbers {
  margin-right: 8px;
  padding: 3px 10px;
  color: #000;
}

.custom_pagination .page-numbers.current {
  background-color: #000;
  color: #fff;
}
.custom_pagination .page-numbers.prev {
  float: left;
  position: relative;
  top: -15px;
  left: 32%;
  margin-right: 7px;
}

.custom_pagination .page-numbers.next {
  margin-left: 7px;
  position: relative;
  top: -15px;
  right: 32%;
  float: right;
}

/********* mixed Style *********/
body:not(.elementor-editor-active) #s1 {
  margin-top: -15px !important;
}

.center {
  text-align: center !important;
}
.white-button {
  text-align: center;
}
.white-button .elementor-button {
  background-color: var(--e-global-color-4b69898);
  color: var(--e-global-color-5dcb5b7);
}
.white-text {
  color: #fff !important;
}

.contact-address-form-row:before {
  content: "";
  background-color: var(--e-global-color-606ae98);
  width: 50%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
}

.black-box {
  background-color: var(--e-global-color-e98622f);
  padding: 12px 15px;
}

.yellow-text {
  color: var(--e-global-color-e79f432) !important;
  font-family: var(--e-global-typography-text-font-family), Sans-serif !important;
}

.scroll-to-top-link {
  float: right;
}

.ulist ul,
.no_left_space_list ul {
  padding-left: 15px;
}

.ulist ul li,
.no_left_space_list ul li {
  margin-bottom: 7px;
}

.dsidx-fields th,
#dsidx-secondary-data th {
  text-align: left;
}

.no-bottom-space-carousel .e-n-carousel.swiper {
  padding-bottom: 0px !important;
}

body:not(.elementor-editor-active) .overflow-hidden-wrap {
  overflow: hidden !important;
}

.links {
  text-decoration: underline !important;
}

@media (min-width: 1025px) {
  .elementor-nav-menu--dropdown {
    min-width: 17em !important;
  }

  .elementor-nav-menu--dropdown li:hover:not(:last-child) {
    border-bottom: 2px solid #000 !important;
  }

  ul.elementor-nav-menu--dropdown a,
  ul.elementor-nav-menu--dropdown a:focus,
  ul.elementor-nav-menu--dropdown a:hover {
    border-inline-start: 0px solid transparent !important;
  }
}

@media (min-width: 1400px) {
  .top-below-nav-banner .swiper-slide-contents {
    top: 0px;
  }

  .elementor-kit-6 button,
  .elementor-kit-6 input[type="button"],
  .elementor-kit-6 input[type="submit"],
  .elementor-kit-6 .elementor-button {
    border-radius: 1.765vw 1.765vw 1.765vw 1.765vw !important;
  }

  /*.yellow-box-wrapper .elementor-widget-loop-carousel.elementor-element :is(.swiper, .swiper-container) ~ .elementor-swiper-button-prev {
margin-top: -0.5vw;
}

.yellow-box-wrapper .elementor-widget-loop-carousel.elementor-element :is(.swiper, .swiper-container) ~ .elementor-swiper-button-next {  
margin-top: -0.5vw;
}*/

  input[type="date"],
  input[type="email"],
  input[type="number"],
  input[type="password"],
  input[type="search"],
  input[type="tel"],
  input[type="text"],
  input[type="url"],
  select,
  textarea {
    padding: 0.809vw 1.176vw;
  }
  .elementor-field-textual {
    padding: 0.809vw 1.176vw;
  }
}

@media (max-width: 1200px) {
  .custom_pagination .page-numbers.prev {
    left: 25%;
  }
  .custom_pagination .page-numbers.next {
    right: 25%;
  }
}

@media (max-width: 1024px) {
  .royal-addons-carousel .wpr-grid-image-wrap img {
    min-height: 190px;
    max-height: 190px;
  }

  .hide_dot_navigation_on_mobile .swiper-pagination-bullets,
  .wpr-grid-slider-dots {
    display: none !important;
  }
}

@media (max-width: 767px) {
  body.admin-bar .header-logo-nav-row.scrolled {
    top: 0px;
  }

  .top-below-nav-banner .swiper-slide-contents {
    top: -5px;
  }

  .contact-address-form-row:before {
    width: 100%;
    height: 55.5%;
  }

  .lg-actions .lg-next,
  .lg-actions .lg-prev {
    top: 75%;
  }

  .custom_pagination .page-numbers.prev {
    left: 10%;
  }

  .custom_pagination .page-numbers.next {
    right: 10%;
  }
}

@media (max-width: 600px) {
  .three-columns-grid {
    grid-template-columns: 1fr 1fr;
  }
}

@media (max-width: 480px) {
  .three-columns-grid {
    grid-template-columns: 1fr;
  }

  .custom_pagination .page-numbers.prev {
    left: 0%;
  }

  .custom_pagination .page-numbers.next {
    right: 0%;
  }

  .full-width-img-mobile-480 img {
    width: 100%;
  }
}

@media (max-width: 375px) {
  .lg-actions .lg-next,
  .lg-actions .lg-prev {
    top: 68%;
  }
}

@media (max-width: 350px) {
  div[data-elementor-type="wp-page"] .elementor-widget-button {
    display: block;
    width: 100%;
  }
  div[data-elementor-type="wp-page"]
    .elementor-widget-button
    a.elementor-button {
    width: 100%;
  }

  .elementor .elementor-hidden-mobile,
  .elementor .elementor-hidden-phone {
    display: none !important;
  }
}

@media only screen and (min-width: 1px) and (max-width: 1399px) {
  .top-below-nav-banner
    .elementor-widget-slides
    .elementor-button.elementor-slide-button {
    padding: 9px 32px 9px 32px !important;
  }
}
@media only screen and (min-width: 768px) and (max-width: 1399px) {
  .top-below-nav-banner .elementor-slides .swiper-slide-inner {
    padding: 50px 50px 25px 50px !important;
  }
}

@media only screen and (min-width: 1110px) and (max-width: 1290px) {
  .elementor-button {
    padding: 9px 20px !important;
  }
}

@media only screen and (min-width: 1025px) and (max-width: 1290px) {
  .elementor-button {
    font-size: 13px !important;
    padding: 9px 35px !important;
  }
}

@media (min-width: 1600px) {
  body:not(.elementor-editor-active) .down-arrow-row {
    top: -5.417vw;
    margin-bottom: -2vw;
  }

  .down-arrow-icon img {
    width: 3.441vw;
    height: 3.441vw;
  }

  .logo-footer-desktop img {
    max-width: 70% !important;
  }
}

@media (min-width: 1900px) {
  .logo-footer-desktop img {
    max-width: 100% !important;
  }
}
